package nc.vo.ws.esb;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDateTime;

/**
 * ESB认证类型
 * @author 廖声豪 2018-04-12
 *
 */
@SuppressWarnings("serial")
public class CertificateVO extends SuperVO {
	
	private String pk_code;//认证类型编号
	private String typename;//认证类型名称
	private String esbkey;//esbkey值
	private String username;//用户名
	private String password;//密码
	public UFDateTime ts;
	public Integer dr;
	
	public String getPk_code() {
		return pk_code;
	}

	public void setPk_code(String pk_code) {
		this.pk_code = pk_code;
	}

	public String getTypename() {
		return typename;
	}

	public void setTypename(String typename) {
		this.typename = typename;
	}

	public String getEsbkey() {
		return esbkey;
	}

	public void setEsbkey(String esbkey) {
		this.esbkey = esbkey;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public UFDateTime getTs() {
		return ts;
	}

	public void setTs(UFDateTime ts) {
		this.ts = ts;
	}

	public Integer getDr() {
		return dr;
	}

	public void setDr(Integer dr) {
		this.dr = dr;
	}

	@Override
	public String getTableName() {
		return "bgy_certificate";
	}
	
	@Override
	public String getPKFieldName() {
		return "pk_code";
	}
	
	@Override
	public String getPrimaryKey() {
		return pk_code;
	}
	
}
